# Class ConditionalLoopElement

  Thelia\Tpex\Element\BaseElement
  Thelia\Tpex\Element\ConditionalLoopElement

Namespace: Thelia\Tpex\Element
Located at core/lib/Thelia/Tpex/Element/ConditionalLoopElement.php

Methods summary
`public` | # `__construct( mixed $name )`
`public mixed` | # `addContent( mixed $content )` #### Parameters $content `mixed` $content #### Returns `mixed`
`public` | # `exec( mixed $substitutions = array() )`
`public integer` | # `type( )` type must return the code of this element. ex : return Thelia\Tpex\TpexToken::TpexText #### Returns `integer`

Methods inherited from Thelia\Tpex\Element\BaseElement
`replace()`

Properties summary
`public mixed` | $name | `` | #
`public mixed` | $value | `` | #

Properties inherited from Thelia\Tpex\Element\BaseElement
`$content`